You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     chip-...@mail.ru
Last committer: k...@freebsd.org
Ident:          $FreeBSD: head/x11/xbelld/Makefile 333231 2013-11-08 14:31:40Z 
kwm $
Log URL:        
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2014-05-16_11h58m06s/logs/xbelld-0.2b2_4.log
Build URL:      
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2014-05-16_11h58m06s
Log:

====>> Building x11/xbelld
build started at Fri May 16 22:29:03 UTC 2014
port directory: /usr/ports/x11/xbelld
building for: FreeBSD head-amd64-default-job-15 11.0-CURRENT FreeBSD 
11.0-CURRENT r264257 amd64
maintained by: chip-...@mail.ru
Makefile ident:      $FreeBSD: head/x11/xbelld/Makefile 333231 2013-11-08 
14:31:40Z kwm $
Poudriere version: 3.1-pre
Host OSVERSION: 1100013
Jail OSVERSION: 1100018




!!! Jail is newer than host. (Jail: 1100018, Host: 1100013) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
OSVERSION=1100018
UNAME_v=FreeBSD 11.0-CURRENT r264257
UNAME_r=11.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/build/head-amd64-default/ref
PKG_EXT=txz
tpid=40654
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=xbelld-0.2b2_4
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
OLDPWD=/usr/local/poudriere/data/build/head-amd64-default/ref/poudriere/rdeps
PWD=/usr/local/poudriere/data/build/head-amd64-default/ref/poudriere/pool
MASTERNAME=head-amd64-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" IMAKECPP=tradcpp IMAKECPPFLAGS="-DCppCmd=tradcpp -DCcCmd=cc 
-DCplusplusCmd=c++" SHELL=/bin/sh CONFIG_SHELL=/bin/sh 
ESD_CONFIG="/usr/local/bin/esd-config"
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" IMAKECPP=tradcpp IMAKECPPFLAGS="-DCppCmd=tradcpp -DCcCmd=cc 
-DCplusplusCmd=c++" SHELL=/bin/sh NO_LINT=YES 
ESD_CONFIG="/usr/local/bin/esd-config" PREFIX=/usr/local  LOCALBASE=/usr/local  
LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe  -fno-strict-aliasing"  CPP="cpp" 
CPPFLAGS=""  LDFLAGS=""  CXX="c++" CXXFLAGS="-O2 -pipe -fno-strict-aliasing"  
MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 
555"  BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  
BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--PLIST_SUB--
OSREL=11.0
PREFIX=%D
LOCALBASE=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
PORTDATA=""
LIB32DIR=lib
GTK2_VERSION="2.10.0"
GTK3_VERSION="3.0.0"
DOCSDIR="share/doc/xbelld"
EXAMPLESDIR="share/examples/xbelld"
DATADIR="share/xbelld"
WWWDIR="www/xbelld"
ETCDIR="etc/xbelld"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/xbelld
DOCSDIR=/usr/local/share/doc/xbelld
EXAMPLESDIR=/usr/local/share/examples/xbelld
WWWDIR=/usr/local/www/xbelld
ETCDIR=/usr/local/etc/xbelld
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for xbelld-0.2b2_4
=======================<phase: check-sanity   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   xbelld-0.2b2_4 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.2.7_2.txz
Installing pkg-1.2.7_2... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of xbelld-0.2b2_4
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by xbelld-0.2b2_4 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by xbelld-0.2b2_4 for building
=> SHA256 Checksum OK for xbelld-0.2beta2.tgz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by xbelld-0.2b2_4 for building
===>  Extracting for xbelld-0.2b2_4
=> SHA256 Checksum OK for xbelld-0.2beta2.tgz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for xbelld-0.2b2_4
===>  Applying FreeBSD patches for xbelld-0.2b2_4
===========================================================================
=======================<phase: build-depends  >============================
===>   xbelld-0.2b2_4 depends on executable: imake - not found
===>    Verifying install for imake in /usr/ports/devel/imake
===>   Installing existing package /packages/All/imake-1.0.6_1,1.txz
Installing imake-1.0.6_1,1...Installing gccmakedep-1.0.2_1... done
Installing makedepend-1.0.5,1...Installing xproto-7.0.25... done
 done
Installing perl5-5.16.3_9... done
Installing xorg-cf-files-1.0.5_1... done
 done
===>   Returning to build of xbelld-0.2b2_4
===>   xbelld-0.2b2_4 depends on executable: tradcpp - not found
===>    Verifying install for tradcpp in /usr/ports/devel/tradcpp
===>   Installing existing package /packages/All/tradcpp-0.4.txz
Installing tradcpp-0.4... done
===>   Returning to build of xbelld-0.2b2_4
===>   xbelld-0.2b2_4 depends on file: /usr/local/libdata/pkgconfig/ice.pc - 
not found
===>    Verifying install for /usr/local/libdata/pkgconfig/ice.pc in 
/usr/ports/x11/libICE
===>   Installing existing package /packages/All/libICE-1.0.8_2,1.txz
Installing libICE-1.0.8_2,1... done
===>   Returning to build of xbelld-0.2b2_4
===>   xbelld-0.2b2_4 depends on file: /usr/local/libdata/pkgconfig/sm.pc - not 
found
===>    Verifying install for /usr/local/libdata/pkgconfig/sm.pc in 
/usr/ports/x11/libSM
===>   Installing existing package /packages/All/libSM-1.2.2_2,1.txz
Installing libSM-1.2.2_2,1... done
===>   Returning to build of xbelld-0.2b2_4
===>   xbelld-0.2b2_4 depends on file: /usr/local/libdata/pkgconfig/xtrap.pc - 
not found
===>    Verifying install for /usr/local/libdata/pkgconfig/xtrap.pc in 
/usr/ports/x11/libXTrap
===>   Installing existing package /packages/All/libXTrap-1.0.1_2.txz
Installing libXTrap-1.0.1_2...Installing libX11-1.6.2_2,1...Installing 
kbproto-1.0.6... done
Installing libXau-1.0.8_2... done
Installing libXdmcp-1.1.1_2... done
Installing libxcb-1.10_2...Installing libpthread-stubs-0.3_4... done
Installing libxml2-2.9.1... done
 done
 done
Installing libXext-1.3.2_2,1...Installing xextproto-7.3.0... done
 done
Installing libXt-1.1.4_2,1... done
Installing trapproto-3.4.3... done
 done
===>   Returning to build of xbelld-0.2b2_4
===>   xbelld-0.2b2_4 depends on file: /usr/local/libdata/pkgconfig/xmu.pc - 
not found
===>    Verifying install for /usr/local/libdata/pkgconfig/xmu.pc in 
/usr/ports/x11-toolkits/libXmu
===>   Installing existing package /packages/All/libXmu-1.1.2_2,1.txz
Installing libXmu-1.1.2_2,1... done
===>   Returning to build of xbelld-0.2b2_4
===>   xbelld-0.2b2_4 depends on file: /usr/local/libdata/pkgconfig/xt.pc - 
found
===========================================================================
=======================<phase: lib-depends    >============================
===>   xbelld-0.2b2_4 depends on shared library: libaudiofile.so - not found
===>    Verifying for libaudiofile.so in /usr/ports/audio/libaudiofile
===>   Installing existing package /packages/All/libaudiofile-0.3.6.txz
Installing libaudiofile-0.3.6... done
===>   Returning to build of xbelld-0.2b2_4
===>   xbelld-0.2b2_4 depends on shared library: libesd.so - not found
===>    Verifying for libesd.so in /usr/ports/audio/esound
===>   Installing existing package /packages/All/esound-0.2.41_3.txz
Installing esound-0.2.41_3...Installing pkgconf-0.9.5... done
 done
The ESounD daemon (esd) must be started on a per-user basis.  This is typically
done by the Session Manager in GNOME.  However, if you are not using the
GNOME Desktop, you will need to add something like the following to your
X Windows initialization script:

esd -terminate -nobeeps -as 2
===>   Returning to build of xbelld-0.2b2_4
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for xbelld-0.2b2_4
imake -DUseInstalled -I/usr/local/lib/X11/config
make Makefiles
make includes
make depend
rm -f .depend
gccmakedep -f-  -- -I/usr/local/include    -I/usr/local/include    -DCSRG_BASED 
 -DFUNCPROTO=15 -DNARROWPROTO   -DNDEBUG   -- xbelld.c > .depend
===========================================================================
=======================<phase: build          >============================
===>  Building for xbelld-0.2b2_4
cc -O2 -pipe  -fno-strict-aliasing    -Werror -Wall   -I/usr/local/include    
-I/usr/local/include    -DCSRG_BASED  -DFUNCPROTO=15 -DNARROWPROTO   -DNDEBUG  
-c xbell.c
xbell.c:41:21: error: unused variable 'rcsid' [-Werror,-Wunused-const-variable]
static const char   rcsid[] =
                    ^
1 error generated.
*** Error code 1

Stop.
make[1]: stopped in /wrkdirs/usr/ports/x11/xbelld/work/xbelld-0.2beta2
*** Error code 1

Stop.
make: stopped in /usr/ports/x11/xbelld
===>  Cleaning for xbelld-0.2b2_4
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to